package com.bonus.canteen.core.account.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.canteen.core.account.mapper.AccCardHisMapper;
import com.bonus.canteen.core.account.domain.AccCardHis;
import com.bonus.canteen.core.account.service.IAccCardHisService;

/**
 * 人员换卡历史记录Service业务层处理
 * 
 * @author xsheng
 * @date 2025-04-23
 */
@Service
public class AccCardHisServiceImpl implements IAccCardHisService {
    @Autowired
    private AccCardHisMapper accCardHisMapper;

    /**
     * 查询人员换卡历史记录
     * 
     * @param id 人员换卡历史记录主键
     * @return 人员换卡历史记录
     */
    @Override
    public AccCardHis selectAccCardHisById(Long id) {
        return accCardHisMapper.selectAccCardHisById(id);
    }

    /**
     * 查询人员换卡历史记录列表
     * 
     * @param accCardHis 人员换卡历史记录
     * @return 人员换卡历史记录
     */
    @Override
    public List<AccCardHis> selectAccCardHisList(AccCardHis accCardHis) {
        return accCardHisMapper.selectAccCardHisList(accCardHis);
    }

    /**
     * 新增人员换卡历史记录
     * 
     * @param accCardHis 人员换卡历史记录
     * @return 结果
     */
    @Override
    public int insertAccCardHis(AccCardHis accCardHis) {
        accCardHis.setCreateTime(DateUtils.getNowDate());
        try {
            return accCardHisMapper.insertAccCardHis(accCardHis);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述, " + e.getMessage());
        }
    }

    /**
     * 修改人员换卡历史记录
     * 
     * @param accCardHis 人员换卡历史记录
     * @return 结果
     */
    @Override
    public int updateAccCardHis(AccCardHis accCardHis) {
        accCardHis.setUpdateTime(DateUtils.getNowDate());
        try {
            return accCardHisMapper.updateAccCardHis(accCardHis);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述, " + e.getMessage());
        }
    }

    /**
     * 批量删除人员换卡历史记录
     * 
     * @param ids 需要删除的人员换卡历史记录主键
     * @return 结果
     */
    @Override
    public int deleteAccCardHisByIds(Long[] ids) {
        return accCardHisMapper.deleteAccCardHisByIds(ids);
    }

    /**
     * 删除人员换卡历史记录信息
     * 
     * @param id 人员换卡历史记录主键
     * @return 结果
     */
    @Override
    public int deleteAccCardHisById(Long id) {
        return accCardHisMapper.deleteAccCardHisById(id);
    }
}
